package ui

import (
	"html/template"
	"log"
	"net/http"

	"streifling.com/jason/cpolis/cmd/data"
)

func ShowRSS(f *data.Feed) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		feed := f.Get()
		rss, err := feed.ToRss()
		if err != nil {
			log.Println(err)
			http.Error(w, err.Error(), http.StatusInternalServerError)
			return
		}

		files := []string{"web/templates/index.html", "web/templates/feed.rss"}
		tmpl, err := template.ParseFiles(files...)
		template.Must(tmpl, err).Execute(w, rss)
	}
}
